import { world } from "@minecraft/server";

world.beforeEvents.chatSend.subscribe((eventData) => {
	const player = eventData.sender;
	switch (eventData.message) {
		case '!sit':
			eventData.cancel = true;
			player.runCommandAsync('playanimation @s animation.player.riding.legs animation 999999');
			player.runCommandAsync('tellraw @s {"rawtext":[{"text":"You sat down!"}]}');
			break;
		case '!lay':
			eventData.cancel = true;
			player.runCommandAsync('playanimation @s animation.player.sleeping animation 999999');
            player.runCommandAsync('tellraw @s {"rawtext":[{"text":"You lay down!"}]}');
			break;
		case '!stand':
			eventData.cancel = true;
			player.runCommandAsync('playanimation @s animation.player.riding.legs animation 1');
			player.runCommandAsync('tellraw @s {"rawtext":[{"text":"You are up!"}]}');
			break;
		default: break;
	}
});